[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TValueListEditor.FindRow

Locates the row with the specified Key name.

## Declaration

Source position: valedit.pas line 186

`public function TValueListEditor.FindRow(`
`const KeyName: string;`
`out aRow: Integer`
`):Boolean;`

## Arguments

`KeyName` |  | Key name to locate in the method.
`aRow` |  | Relative row number for the specified key name.

## Function result

True when the key name exists in the control.

## Description

FindRow is a Boolean function used to locate the row with the specified Key name.

aRow contains the relative row number where KeyName was located. The row number is relative to the fixed title caption row (when visible).The value in aRow is not updated if KeyName is not found in Strings.

The return value is True when KeyName exists in the Strings property.

## See also

TValueListEditor.Strings |  | Stores the keys, values, and item definitions in the control.
TCustomDrawGrid.FixedRows |  | Number of the fixed rows in the grid.
TStrings.IndexOfName